@echo OFF
rem  * *******************************************************************
rem  *               FPALARE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * This procedure will perform the following conversion for a single file.
rem  * Read an ASCII-encoded, Line Sequential file containing variable-length
rem  * records with a maximum record length of 512 bytes.
rem  * Write an ASCII-encoded, Record Sequential file containing 512 byte,
rem  * fixed-length records.
rem  * The record format is Comma Separated Values (or CSV).
rem  * ************************************************************************
rem  * This procedure calls the following Windows Command Files or Programs.
rem  * 1. ezSetEnv.CMD - this provides a single point for setting commonly
rem  *    used environment variables.
rem  * 2. SimoNOTE.CMD - this provides a consistent process for displaying
rem  *    messages to the screen and writing to a journal or log file.
rem  * 3. RUN FPALARC1 - For the specified file perform the following actions.
rem  *                 - Do the file format conversion between Line Sequential
rem  *                   and Record Sequential.
rem  *                 - Leave the records in their ASCII-encoded content.
rem  * ************************************************************************
     set CmdName=ALAR80E1
     call ..\Env1BASE %CmdName%
rem  *
     call SimoNOTE "*******************************************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
rem  *
     set FPASCCSV=%BASECAT%\XLSS\SIMOTIME.UTIL.FPLCSVD1.CSV
     set FPRFFLD1=%BASECAT%\APPL\SIMOTIME.UTIL.FPRFFLD1.DAT
     if exist %FPRFFLD1% erase %FPRFFLD1%
     run FPALARC1
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EojNOK
     if not exist %FPRFFLD1% set JobStatus=0035
     if not "%JobStatus%" == "0000" goto :EojNOK
     goto EojAok
:EojAOK
     call SimoNOTE "DataTake %FPASCCSV%"
     call SimoNOTE "DataMake %FPRFFLD1%"
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus%"
     echo %DATE% - %TIME% Starting User ABEND Processing...>>%SYSLOG%
     set >>%SYSLOG%
     echo %DATE% - %TIME% Complete User ABEND Processing...>>%SYSLOG%
     goto :End
:End
     call SimoNOTE "Conclude SysOut is %SYSOUT%"
     if not "%1" == "nopause" pause
     exit /B %JobStatus%
