@echo OFF
rem  * *******************************************************************
rem  *               FPDDEFE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * A procedure for a batch function to create a new FPMASTER.DAT
rem  * file that will be used as the File Properties Repository. This
rem  * process performs the same function as an IDCAMS, Delete/Define.
rem  *
rem  * This procedure calls the following Windows Command Files.
rem  * 1. ezSetEnv.CMD - this provides a single point for setting commonly
rem  *                   used environment variables.
rem  * 2. SimoNOTE.CMD - this provides a consistent process for displaying
rem  *                   messages to the screen and writing to a journal or
rem  *                   log file.
rem  * ************************************************************************
     setlocal
     set CmdName=FPDDEFE1
     call ..\Env1BASE %CmdName%
rem  *
     call SimoNOTE "*******************************************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
rem  *
rem  * Step 1 of 2, Prepare the Environment
rem  *              UPDFLAG-01 Update complete record
rem  *              UPDFLAG-02 Update the Base Fields (Key and File Names)
rem  *              UPDFLAG-03 Update the File Properties
rem  *              UPDFLAG-04 Update the JCL Scan Fields
rem  *              UPDFLAG-05 Update the User defined Fields
rem  *
     set UPDFLAGS=NYYYN
     set FPRFFLD1=%BASECAT%\APPL\SIMOTIME.UTIL.FPNULLD1.DAT
     set FPMASTER=%BASECAT%\APPL\SIMOTIME.UTIL.FPMASTER.DAT
rem  *
rem  * The following will create a null sequnetial file for input. This will
rem  * be used to force an end of file and create an empty FPMASTER.DAT file
rem  * to be used as the File Properties Repository.
rem  *
     if not exist %FPRFFLD1% copy nul %FPRFFLD1%
rem  *
rem  * Step 2 of 2, Update or Add records to the Data FIle Data Base
rem  *
rem  * Read the Listing file, set the environment and append/update the
rem  * records in the File Properties Repository. Since the input file
rem  * is an empty file this will perform a Delete/Define for a new,
rem  * File Properties Repository (or FPMASTER.DAT).
rem  *
     run FPLOADC1
     if not "%ERRORLEVEL%" == "0" (call SimoNOTE "Error Level = %ERRORLEVEL% "
                                   set JobStatus=0010)
     if not "%JobStatus%" == "0000" goto :EojNOK
:EojAOK
     call SimoNOTE "DataMake %FPMASTER%"
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:End
     call SimoNOTE "FileInfo SYSOUT=%SYSOUT%"
     call SimoNOTE "Finished JobName %CmdName%.CMD"
     if not "%SimoGENS%" == "BATCH" pause
     endlocal
