//FPLOADJ2 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       FPLOADJ2.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Create and populate a VSAM, KSDS data set using IDCAMS.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* This job will create a new VSAM, KSDS data set containing a list
//* of files and their associated properties. The key is the DSN or
//* Data Set Name starting at the first position in the record. The
//* key length is 44 bytes and the record length is 1024 bytes.
//*
//* This set of programs will run on a mainframe under ZOS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express.
//*
//* *******************************************************************
//* Step 1 of 5, Delete the VSAM Cluster for SIMOTIME.DATA.CATPOPK1
//*
//KSDELETE EXEC PGM=IDCAMS
//SYSPRINT DD   SYSOUT=*
//SYSIN    DD   *
 DELETE    SIMOTIME.UTIL.FPMASTER   -
           FILE (FPMASTER)          -
           PURGE                    -
           ERASE                    -
           CLUSTER
 SET       MAXCC = 0
/*
//* *******************************************************************
//* Step 2 of 5, Create a new VSAM Cluster for SIMOTIME.DATA.CATPOPK1
//*
//KSDEFINE EXEC PGM=IDCAMS
//SYSPRINT DD   SYSOUT=*
//SYSIN    DD   *
 DEFINE    CLUSTER  (NAME(SIMOTIME.UTIL.FPMASTER)             -
                    TRACKS(45,15)                             -
                    INDEXED)                                  -
           DATA     (NAME(SIMOTIME.UTIL.FPMASTER.DAT)         -
                    KEYS(54,2)                                -
                    RECORDSIZE(1024,1024)                     -
                    FREESPACE(10,15)                          -
                    CISZ(8192))                               -
           INDEX    (NAME(SIMOTIME.UTIL.FPMASTER.IDX))
/*
//*
//* *******************************************************************
//* Step 3 of 5, Delete the SORT output file SIMOTIME.DATA.FILESORT
//*
//RSEQDELT EXEC PGM=IEFBR14
//SYSUT2   DD  DSN=SIMOTIME.DATA.CPWKSORT,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=1024,DSORG=PS)
//*
//* *******************************************************************
//* Step 4 of 5, Sort the file list by Data Set Name
//*
//RSEQSORT EXEC PGM=SORT,COND=(0,LT),
//             REGION=1024K
//SYSIN    DD  *
*        ASCENDING SORT BY DATA SET NAME
* ..:....1....:....2....:....3....:....4....:....5....:....6....:....7.
         SORT  FIELDS=(3,54,CH,A)
*        ELIMINATE DUPLICATES
         SUM   FIELDS=NONE
         END
/*
//SORTIN   DD  DSN=SIMOTIME.UTIL.FPRFFLD1,DISP=SHR
//SORTWK01 DD  UNIT=SYSDA,SPACE=(CYL,55)
//SORTWK02 DD  UNIT=SYSDA,SPACE=(CYL,55)
//SORTWK03 DD  UNIT=SYSDA,SPACE=(CYL,55)
//SORTOUT  DD  DSN=SIMOTIME.UTIL.CPWKSORT,DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=1024,DSORG=PS)
//SYSOUT   DD  SYSOUT=*
//*
//* *******************************************************************
//* Step 5 of 5, IDCAMS REPRO, Populate the VSAM Cluster,
//*              use sorted file created in previous step.
//*
//KSREPRO  EXEC PGM=IDCAMS
//SYSPRINT DD   SYSOUT=*
//DATAIN   DD   DSN=SIMOTIME.UTIL.CPWKSORT,DISP=OLD
//SYSIN    DD   *
 REPRO INFILE(DATAIN) OUTDATASET(SIMOTIME.UTIL.FPMASTER) ELIMIT(200)
/*
//*
