 @echo OFF
rem  * *******************************************************************
rem  *               FPMRXTE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * This procedure will read the File Properties Repository
rem  * (FPMASTER.DAT) write information to an ASCII/Text file with the
rem  * records in a Comma Separated Values (or CSV) format.
rem  *
rem  * This procedure calls the following Windows Command Files.
rem  * 1. ezSetEnv.CMD - provides a single point for setting commonly
rem  *                   used environment variables.
rem  * 2. SimoNOTE.CMD - provides a consistent process for displaying
rem  *                   messages to the screen and writing to a journal
rem  *                   or log file.
rem  * *******************************************************************
     setlocal
     set CmdName=FPMEXTE1
     call ..\Env1BASE %CmdName%
rem  *
     call SimoNOTE "*******************************************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
rem  *
rem  * Read the ListOfJCL.TXT file and pass the contents of each record to the
rem  * command file that does the actual scan.
     set FPMASTER=%BASECAT%\APPL\SIMOTIME.UTIL.FPMASTER.DAT
     set FPLCSVD1=%BASECAT%\XLSS\SIMOTIME.UTIL.FPLCSVD2.CSV
     run FPMEXTC1
     if not "%ERRORLEVEL%" == "0" (call SimoNOTE "Error Level = %ERRORLEVEL% "
                                   set JobStatus=0010)
     if not "%JobStatus%" == "0000" goto :EojNOK
:EojAOK
     call SimoNOTE "DataMake %FPLCSVD1%"
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:End
     call SimoNOTE "FileInfo SYSOUT=%SYSOUT%"
     call SimoNOTE "Finished JobName %CmdName%.CMD"
     if not "%SimoGENS%" == "BATCH" pause
     endlocal
