@echo OFF
rem  * *******************************************************************
rem  *               FPMIMPE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * This procedure will read an ASCII/Text file and use the information
rem  * in the individual records to update the File Properties Repository.
rem  * The ASCII/Text file is created by saving an Excel Spreadsheet as a
rem  * Comma Separated Values (or CSV) file.
rem  *
rem  * This procedure calls the following Windows Command Files.
rem  * 1. ezSetEnv.CMD - provides a single point for setting commonly
rem  *                   used environment variables.
rem  * 2. SimoNOTE.CMD - provides a consistent process for displaying
rem  *                   messages to the screen and writing to a journal
rem  *                   or log file.
rem  * *******************************************************************
     setlocal
     set CmdName=FPMIMPE1
     call ..\Env1BASE %CmdName%
rem  *
     call SimoNOTE "*******************************************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
rem  *
     set FPMASTER=%BASECAT%\APPL\SIMOTIME.UTIL.FPMASTER.DAT
rem  *
rem  * Read the CSV File, update the FPMASTER File (File Properties Repository).
     set FPASCCSV=%BASECAT%\XLSS\LONAPPDS.CSV
     call SimoNOTE "DataTake %FPASCCSV%"
     run FPMIMPC1
     if not "%ERRORLEVEL%" == "0" (call SimoNOTE "Error Level = %ERRORLEVEL% "
                                   set JobStatus=0010)
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
rem  * Read the CSV File, update the FPMASTER File (File Properties Repository).
     set FPASCCSV=%BaseLib1%\DATA\XLSS\LONAPGDG.CSV
     call SimoNOTE "DataTake %FPASCCSV%"
     run FPMIMPC1
     if not "%ERRORLEVEL%" == "0" (call SimoNOTE "Error Level = %ERRORLEVEL% "
                                   set JobStatus=0010)
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
rem  * Read the CSV File, update the FPMASTER File (File Properties Repository).
     set FPASCCSV=%BaseLib1%\DATA\XLSS\LONAPSEQ.CSV
     call SimoNOTE "DataTake %FPASCCSV%"
     run FPMIMPC1
     if not "%ERRORLEVEL%" == "0" (call SimoNOTE "Error Level = %ERRORLEVEL% "
                                   set JobStatus=0010)
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
rem  * Read the CSV File, update the FPMASTER File (File Properties Repository).
     set FPASCCSV=%BaseLib1%\DATA\XLSS\LONAPKSD.CSV
     call SimoNOTE "DataTake %FPASCCSV%"
     run FPMIMPC1
     if not "%ERRORLEVEL%" == "0" (call SimoNOTE "Error Level = %ERRORLEVEL% "
                                   set JobStatus=0010)
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
rem  * Read the CSV File, update the FPMASTER File (File Properties Repository).
     set FPASCCSV=%BaseLib1%\DATA\XLSS\LONAPX10.CSV
     call SimoNOTE "DataTake %FPASCCSV%"
     run FPMIMPC1
     if not "%ERRORLEVEL%" == "0" (call SimoNOTE "Error Level = %ERRORLEVEL% "
                                   set JobStatus=0010)
     if not "%JobStatus%" == "0000" goto :EojNOK
:EojAOK
     call SimoNOTE "DataTake %FPASCCSV%"
     call SimoNOTE "DataMake %FPMASTER%"
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:End
     call SimoNOTE "FileInfo SYSOUT=%SYSOUT%"
     call SimoNOTE "Finished JobName %CmdName%.CMD"
     if not "%SimoGENS%" == "BATCH" pause
     endlocal
