@echo OFF
rem  * *******************************************************************
rem  *               FPMSTRE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * This procedure will sort a Record Sequential File with records in a
rem  * fixed field format. The sort sequence is by the Data Set Name (DSN).
rem  * This is in preparation for doing the initial ordered load of the
rem  * File Properties Repository.
rem  *
rem  * This procedure calls the following Windows Command Files.
rem  * 1. ezSetEnv.CMD - provides a single point for setting commonly
rem  *                   used environment variables.
rem  * 2. SimoNOTE.CMD - provides a consistent process for displaying
rem  *                   messages to the screen and writing to a journal
rem  *                   or log file.
rem  * *******************************************************************
     setlocal
     set CmdName=FPMSRTE1
     call ..\Env1BASE %CmdName%
rem  *
     call SimoNOTE "*******************************************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
rem  *
rem  * Step 1 of 2, Prepare the Environment
rem  *
     set FPRFFLD1=%BASECAT%\APPL\SIMOTIME.UTIL.FPRFFLD1.DAT
     set FPSORTED=%BASECAT%\APPL\SIMOTIME.UTIL.FPSORTED.DAT
     if exist %FPSORTED% erase %FPSORTED%
rem  *
rem  * Step 2 of 2, Sort the File...
rem  *
rem  *
     call SimoNOTE "Identify JobStep %CmdName%.CMD, Sort by Data Set Name"
     set SYSOUTSAVE=%SYSOUT%
     set SYSOUT=%BaseLib1%\LOGS\SYSOUT_FPMSRTE1.TXT
     set SYSIN=%BaseLib1%\ParmLib1\JCSCANS1.CTL
     set SORTIN=%FPRFFLD1%
     set SORTOUT=%FPSORTED%
     MFSORT take %SYSIN% use %SORTIN% RECORD F,512 ORG SQ GIVE %SORTOUT% RECORD F,512 ORG SQ
     if ERRORLEVEL = 1 set JobStatus=0020
     set SYSOUT=%SYSOUTSAVE%
     if not "%JobStatus%" == "0000" goto :EojNOK
     if exist %FPSORTED% call SimoNOTE "Produced DataSet %FPSORTED%"
     if exist %FPSORTED% goto :EojAOK
        call SimoNOTE "ABENDING JobStep, Sort Failure..."
        goto :EojNOK
rem  *
:EojAOK
     call SimoNOTE "DataMake %FPSORTED%"
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:End
     call SimoNOTE "FileInfo SYSOUT=%SYSOUT%"
     call SimoNOTE "Finished JobName %CmdName%.CMD"
     if not "%SimoGENS%" == "BATCH" pause
     endlocal
