@echo OFF
rem  * *******************************************************************
rem  *               FPUNLDE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * This procedure provides a batch function to do an inital load of a
rem  * File Properties Repository (FPMASTER).
rem  *
rem  * This procedure calls the following Windows Command Files.
rem  * 1. ezSetEnv.CMD - provides a single point for setting commonly
rem  *                   used environment variables.
rem  * 2. SimoNOTE.CMD - provides a consistent process for displaying
rem  *                   messages to the screen and writing to a journal
rem  *                   or log file.
rem  * *******************************************************************
     setlocal
     set CmdName=FPUNLDE1
     call ..\Env1BASE %CmdName%
rem  *
     call SimoNOTE "*******************************************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
rem  *
rem  * Step 1 of 2, Prepare the Environment
rem  *              UPDFLAG-01 Update complete record
rem  *              UPDFLAG-02 Update the Base Fields (Key and File Names)
rem  *              UPDFLAG-03 Update the File Properties
rem  *              UPDFLAG-04 Update the JCL Scan Fields
rem  *              UPDFLAG-05 Update the User defined Fields
rem  *
     set UPDFLAGS=NYYNY
     set FPMASTER=%BASECAT%\APPL\SIMOTIME.UTIL.FPMASTER.DAT
     set FPRFFLD1=%BASECAT%\APPL\SIMOTIME.UTIL.FPRFFLD2.DAT
rem  *
rem  * Step 2 of 2, Unload the File Properties Repository to a Record
rem  *              Sequential File with Fixed Field Length format.
rem  *
     run FPUNLDC1
     if not "%ERRORLEVEL%" == "0" (call SimoNOTE "Error Level = %ERRORLEVEL% "
                                   set JobStatus=0010)
     if not "%JobStatus%" == "0000" goto :EojNOK
:EojAOK
     call SimoNOTE "DataMake %FPRFFLD1%"
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:End
     call SimoNOTE "FileInfo SYSOUT=%SYSOUT%"
     call SimoNOTE "Finished JobName %CmdName%.CMD"
     if not "%SimoGENS%" == "BATCH" pause
     endlocal
